> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/rdm/it/knowledge-base/knowledge-base-articles/entry-settings/one-time-password.md).

# Password monouso (OTP)

Configuri la voce Password monouso (OTP) in Remote Desktop Manager per generare codici MFA basati sul tempo usando le impostazioni di chiave, passo temporale e algoritmo hash.

La voce ***Password monouso (OTP)*** consente di archiviare e generare in modo sicuro codici di autenticazione basati sul tempo per gli account protetti dall'autenticazione a più fattori (MFA).

<table data-header-hidden><thead><tr><th width="200"></th><th></th></tr></thead><tbody><tr><td><strong>IMPOSTAZIONI</strong></td><td><strong>DESCRIZIONE</strong></td></tr><tr><td><strong>Nome</strong></td><td>Il nome della voce.</td></tr><tr><td><strong>Cartella</strong></td><td>La cartella in cui si trova la voce. Faccia clic sul pulsante Sfoglia per selezionare una cartella oppure sul pulsante Aggiungi per crearne una nuova.</td></tr></tbody></table>

### Generale

<table><thead><tr><th width="128.39996337890625">IMPOSTAZIONI</th><th>DESCRIZIONE</th></tr></thead><tbody><tr><td><strong>Tasto</strong></td><td>La chiave usata per generare l'OTP. Può essere immessa manualmente o caricata da un'immagine con il pulsante <em><strong>Carica da immagine</strong></em>, che compila anche le altre impostazioni OTP dal codice QR. La chiave è obbligatoria e deve essere in formato Base32 o Base64. In base alle autorizzazioni, il pulsante <em><strong>Esporta codice QR</strong></em> esporta la chiave come codice QR.</td></tr><tr><td><strong>Account</strong></td><td>Il nome dell'account collegato all'OTP. Compare un'icona di avviso se il nome contiene il carattere ":", che non è supportato e viene sostituito da "_" nel codice QR generato.</td></tr><tr><td><strong>Codici di ripristino</strong></td><td>Apre la finestra <em><strong>Codici di ripristino</strong></em>, in cui può archiviare i codici di ripristino dell'account.</td></tr><tr><td colspan="2"><strong>Codice QR</strong></td></tr><tr><td><strong>Applicazione</strong></td><td>Il servizio o l'applicazione a cui è destinato questo OTP (ad esempio Google o GitHub). Quando è impostata un'applicazione, il campo <em><strong>Account</strong></em> è obbligatorio. Compare un'icona di avviso se il nome contiene il carattere ":", che non è supportato e viene sostituito da "_" nel codice QR generato.</td></tr></tbody></table>

### Avanzate

<table><thead><tr><th width="183.5999755859375">IMPOSTAZIONI</th><th>DESCRIZIONE</th></tr></thead><tbody><tr><td><strong>Passo temporale (secondi)</strong></td><td>Definisce per quanto tempo ogni OTP rimane valido prima della rotazione. Immetta un valore compreso tra 15 e 999999 secondi. Il valore predefinito è 30.</td></tr><tr><td><strong>Dimensione del codice</strong></td><td><p>Determina il numero di cifre di ogni OTP:</p><ul><li><strong>6 cifre</strong> (predefinito)</li><li><strong>8 cifre</strong></li></ul></td></tr><tr><td><strong>Algoritmo di hash</strong></td><td><p>Specifica l'algoritmo hash usato per calcolare l'OTP:</p><ul><li><strong>SHA-1</strong> (predefinito)</li><li><strong>SHA256</strong></li><li><strong>SHA-512</strong></li></ul></td></tr></tbody></table>

### Vedere anche

* [Utilizzo della one-time password (OTP) con le voci](https://docs.devolutions.net/rdm/it/knowledge-base/how-to-articles/one-time-password-otp-usage-with-entries.md)
* [Devolutions Academy – Come usare la voce OTP in Remote Desktop Manager](https://academy.devolutions.net/student/page/2584596-how-to-use-otp-entry-in-remote-desktop-manager?curriculum_activity_id=3969784\&path_id=2628397\&sid=edec8b2f-cf78-4396-a87a-f96a0cedc04c\&sid_i=0)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/rdm/it/knowledge-base/knowledge-base-articles/entry-settings/one-time-password.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
